--- chrome/common/chrome_paths.cc
+++ chrome/common/chrome_paths.cc
@@ -79,7 +79,7 @@ bool PathProvider(int key, FilePath* result) {
       create_dir = true;
       break;
     case chrome::DIR_USER_CACHE:
-#if defined(OS_LINUX)
+#if defined(OS_NIX)
       if (!GetUserCacheDirectory(&cur))
         return false;
       create_dir = true;
@@ -125,7 +125,7 @@ bool PathProvider(int key, FilePath* result) {
       cur = cur.Append(FILE_PATH_LITERAL("inspector"));
       break;
     case chrome::DIR_APP_DICTIONARIES:
-#if defined(OS_LINUX) || defined(OS_MACOSX)
+#if defined(OS_POSIX)
       // We can't write into the EXE dir on Linux, so keep dictionaries
       // alongside the safe browsing database in the user data dir.
       // And we don't want to write into the bundle on the Mac, so push
diff --git chrome/common/chrome_paths_internal.h chrome/common/chrome_paths_internal.h
index 4dc4e0f..3c9783d 100644
